<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>iipsrv: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="iip.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">iipsrv
   &#160;<span id="projectnumber">1.1</span>
   </div>
   <div id="projectbrief">iipsrv is an advanced high-performance feature-rich image server for web-based streamed viewing and zooming of ultra high-resolution images</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions_g.html','');});
/* @license-end */
</script>
<div id="doc-content">
<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a id="index_g"></a>- g -</h3><ul>
<li>gamma()
: <a class="el" href="structTransform.html#a3dff2adee439080e103922910f01e107">Transform</a>
, <a class="el" href="classView.html#a66501d855c367e23894d2ca9958d7b44">View</a>
</li>
<li>getAdvert()
: <a class="el" href="classIIPResponse.html#a118b0447250be2ff270402c36da4b76e">IIPResponse</a>
</li>
<li>getCacheControl()
: <a class="el" href="classIIPResponse.html#ae0a1a8ef1951756d94708f7182154217">IIPResponse</a>
</li>
<li>getColourSpace()
: <a class="el" href="classIIPImage.html#a541ecc87687dcfec7f3a5155059d2277">IIPImage</a>
</li>
<li>getCORS()
: <a class="el" href="classIIPResponse.html#ad896028cfe38d7db6f0c50eaff0b978d">IIPResponse</a>
</li>
<li>getDescription()
: <a class="el" href="classIIPImage.html#ab3f4126c13c57f3a2aa3ad7615cd3a85">IIPImage</a>
, <a class="el" href="structTransform.html#a79935b0501625a704e52d91f08c53f96">Transform</a>
</li>
<li>getFileName()
: <a class="el" href="classIIPImage.html#a1c1eed40617116d2886772708db5cd18">IIPImage</a>
</li>
<li>getHeader()
: <a class="el" href="classCompressor.html#a94e14df8f3dfe7968a9b77dabb4e2c45">Compressor</a>
, <a class="el" href="classJPEGCompressor.html#ae8dd617d645caabaa5fad022a24331c2">JPEGCompressor</a>
</li>
<li>getHeaderSize()
: <a class="el" href="classCompressor.html#aeb0d63187b16a4de4ec27ea59295b1e5">Compressor</a>
, <a class="el" href="classJPEGCompressor.html#a62fd19a3b193d907f796cc53d1fc8919">JPEGCompressor</a>
</li>
<li>getHorizontalViewsList()
: <a class="el" href="classIIPImage.html#afd23c9da4bc24eed7a6791d1cec3e28f">IIPImage</a>
</li>
<li>getImage()
: <a class="el" href="classWatermark.html#af18c0054dceec80c7ab1a5d2c8d10967">Watermark</a>
</li>
<li>getImageFormat()
: <a class="el" href="classIIPImage.html#aa380533e0bf44f8c01b7812068b00318">IIPImage</a>
</li>
<li>getImageHeight()
: <a class="el" href="classIIPImage.html#acf2e51d0cf8ddf1afca64ff678f2c172">IIPImage</a>
, <a class="el" href="classView.html#aaafd128b63bf2980755b0e0a72bcf2f3">View</a>
</li>
<li>getImagePath()
: <a class="el" href="classIIPImage.html#a1c2bc5062ad70e66073c6b8e7cf0eb33">IIPImage</a>
</li>
<li>getImageWidth()
: <a class="el" href="classIIPImage.html#a931490883ccce09a45a97a85ebf79561">IIPImage</a>
, <a class="el" href="classView.html#ab9adf6e09e14cd2f13369cf90d3159ad">View</a>
</li>
<li>getIndex()
: <a class="el" href="classCache.html#ab33f2789c54cf9b07625ad566f079ade">Cache</a>
</li>
<li>getLayers()
: <a class="el" href="classView.html#aada3d9afaf60efccf67eae06509dc1ed">View</a>
</li>
<li>getMaxSize()
: <a class="el" href="classView.html#a77101965d8b2943fb5ca6425823ffa91">View</a>
</li>
<li>getMaxValue()
: <a class="el" href="classIIPImage.html#a429fe94bcece25038c33d55e9046fa12">IIPImage</a>
</li>
<li>getMemorySize()
: <a class="el" href="classCache.html#a2398d519f59fe27b278e5ab2cd9d9b50">Cache</a>
</li>
<li>getMetadata()
: <a class="el" href="classIIPImage.html#aa81f258d49a0a6db9fd97a81370aba30">IIPImage</a>
</li>
<li>getMimeType()
: <a class="el" href="classCompressor.html#ade8725e65b19b79f3e481d519664b683">Compressor</a>
, <a class="el" href="classJPEGCompressor.html#a3068b12a9ed2935babbede68d4415a91">JPEGCompressor</a>
</li>
<li>getMinValue()
: <a class="el" href="classIIPImage.html#a73b493b1a07fa387719d027acbf65670">IIPImage</a>
</li>
<li>getNumBitsPerPixel()
: <a class="el" href="classIIPImage.html#a553c53c71baa7fbb92af53418ae30f8c">IIPImage</a>
</li>
<li>getNumChannels()
: <a class="el" href="classIIPImage.html#aaca96b84cac352ce920c666fbfae1e12">IIPImage</a>
</li>
<li>getNumElements()
: <a class="el" href="classCache.html#a5cd9c3810888ad2fb784491ee9961d0e">Cache</a>
</li>
<li>getNumResolutions()
: <a class="el" href="classIIPImage.html#ada9ea083b80597e3c2ce3d7ca656408e">IIPImage</a>
</li>
<li>getOpacity()
: <a class="el" href="classWatermark.html#a497b6518f7470e5048bb6be853d4f85e">Watermark</a>
</li>
<li>getProbability()
: <a class="el" href="classWatermark.html#a7fe56ff07579dc3b432dc6daa699f25c">Watermark</a>
</li>
<li>getQuality()
: <a class="el" href="classCompressor.html#a70078e753e103bd4a642118d7412dd79">Compressor</a>
, <a class="el" href="classJPEGCompressor.html#ac747bb7eaf4c82a50b1ba5127d46eeaa">JPEGCompressor</a>
</li>
<li>getRegion()
: <a class="el" href="classIIPImage.html#a4ea39b31b5fee84f16e0487e876f90e9">IIPImage</a>
, <a class="el" href="classKakaduImage.html#afc9a84e1ce8c302ca96572ebc5f5c456">KakaduImage</a>
, <a class="el" href="classOpenJPEGImage.html#a6bc2f74edbb15f34214288832ca4fd78">OpenJPEGImage</a>
, <a class="el" href="classTileManager.html#a0dbed27c6cc15b16f9fc8ccb703ce89e">TileManager</a>
</li>
<li>getRequestHeight()
: <a class="el" href="classView.html#a87e07b51f39c15b94a41decae5c68e91">View</a>
</li>
<li>getRequestWidth()
: <a class="el" href="classView.html#a6b373f00ca8790738c20ea85cc07b175">View</a>
</li>
<li>getResolution()
: <a class="el" href="classView.html#a28c44d84320f6ad10da70bafa211d558">View</a>
</li>
<li>getRotation()
: <a class="el" href="classView.html#a5dd05a3f8dfb297a6ea3931d450348ec">View</a>
</li>
<li>getSampleType()
: <a class="el" href="classIIPImage.html#a9a99f376ced738d34263756fb875e950">IIPImage</a>
</li>
<li>getScale()
: <a class="el" href="classView.html#a35752087943e6b754405ec7c95a02963">View</a>
</li>
<li>getSuffix()
: <a class="el" href="classCompressor.html#aac704b00452d217cfbc5fb02a52505e1">Compressor</a>
, <a class="el" href="classJPEGCompressor.html#a97df480d52621b38e7275c6ff7266498">JPEGCompressor</a>
</li>
<li>getTile()
: <a class="el" href="classCache.html#adf2e22afaf201cfeaef52f1bb1e78c8c">Cache</a>
, <a class="el" href="classIIPImage.html#ae0f3b29ad6016e40a543db581f60f87b">IIPImage</a>
, <a class="el" href="classKakaduImage.html#aafb16ba604d6d20b3cf6339451e3ede2">KakaduImage</a>
, <a class="el" href="classOpenJPEGImage.html#a3c7ba5b04ed3b721a8fd96c702be8632">OpenJPEGImage</a>
, <a class="el" href="classTileManager.html#a22158a283b27639ddf3645cfc83d2586">TileManager</a>
, <a class="el" href="classTPTImage.html#a475f61c355abbeaf4a234c61f6d88ace">TPTImage</a>
</li>
<li>getTileHeight()
: <a class="el" href="classIIPImage.html#acfd041ac9b341757368cc97750663341">IIPImage</a>
</li>
<li>getTileWidth()
: <a class="el" href="classIIPImage.html#a86f893a5fbc2067bd744f07a0d1731df">IIPImage</a>
</li>
<li>getTime()
: <a class="el" href="classTimer.html#af2edcce6ce6beabcef68400d825d1d61">Timer</a>
</li>
<li>getTimestamp()
: <a class="el" href="classIIPImage.html#a0482c9740d637e3f61f8f80475b3cde5">IIPImage</a>
</li>
<li>getVerticalViewsList()
: <a class="el" href="classIIPImage.html#ad55747906896868279c8d14adc3d7304">IIPImage</a>
</li>
<li>getViewHeight()
: <a class="el" href="classView.html#af6c40d3b25d54873cac0217fb1f33e08">View</a>
</li>
<li>getViewLeft()
: <a class="el" href="classView.html#a38d3581c0e6407d921dea25716dc4fd9">View</a>
</li>
<li>getViewTop()
: <a class="el" href="classView.html#a25b6deb35d090a5d9be70532256643c1">View</a>
</li>
<li>getViewWidth()
: <a class="el" href="classView.html#a183dd9de7291c8cf8d07a380b09d046b">View</a>
</li>
<li>greyscale()
: <a class="el" href="structTransform.html#a9b23b4901c60d29e17069a60aa796c4c">Transform</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.14 </li>
  </ul>
</div>
</body>
</html>
